Start a Dex conversation
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "<string>",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads"
payload = {
"message": "<string>",
"messageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: '<string>', messageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/agents/dex/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"status": "started",
"taskId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Start a Dex conversation
Starts or idempotently reuses a metered Dex web-channel conversation. The API key must retain its user attribution and the key creator must still have project manage access.
POST
/
projects
/
{projectId}
/
agents
/
dex
/
threads
Start a Dex conversation
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.
Path Parameters
Body
application/json